Skip to Content

原作者Storm Archer

在这篇文章中我将讲一下把SAP NetWeaver BW系统迁移到基于SAP HANA的Net Weaver BW系统。主要的内容如下:

  • BW转到基于SAP HANA的BW主要构想
  • 在HANA上运行SAP NetWeaver BW对SAP HANA的版本要求
  • 在HANA上运行SAP NetWeaver BW对BW本身的要求

在BW转换到基于SAP HANA过程中的主要构想

在评估一个SAP NetWeaver BW系统到SAP HANA系统的转换过程中,有一些既定的标准用来描述这个过程是否已经完成。这类转换过程被称为一个操作系统或数据库的迁移。这个过程使用被时间证明可以信赖的SAP工具来完成。基本上,这个过程可以使得一个SAP系统转换到另一个相对的操作系统或者是数据库。这个过程包括一个在目标系统准备一个新的对象,从源系统导出,导入目标系统。在准备和完成系统迁移各需要几个步骤。

**重要提醒:所有的生成系统迁移必须由一个具备OS/DB系统迁移许可证的人才完成。**

当评估一个基于SAP HANA的SAP Net Weaver BW 7.30,是把HANA作为一个具备基本功能的数据库来看的。基本的数据库操作是最好的办法去理解SAP HANA是如何和SAP BW关联起来的。但是,SAP HANA具备更多的传统关系型数据库所不具备的功能。在SAP HANA系统中,操作可以被传到SAP HANA系统的MPP,在传统关系型数据库的MPP中是没有业务应用逻辑的。

在HANA上运行SAP NetWeaver BW对SAP HANA的版本要求

如果要在SAP HANA上面运行SAP NetWeaver BW, SAP HANA必须是大于1.0 SP03的版本。之前的版本不支持。现在有一些关于是否并发系统能够跑在同一个SAP HANA进程中的限制。现在只有一个应用(如SAP NetWeaver BW, SAP Smart Meter Analytics等)和SAP HANA DataMarts可以跑在产品系统中。主要的原因是周边的和生命期管理相关的资源分配/预支和可能的软件补丁程序的不完善导致。

在HANA上运行SAP NetWeaver BW对BW本身的要求

要把SAP NetWeaver BW移植到SAP HANA需要满足以下一些要求:

1. SAP NetWeaver BW必须升级到SP05及以上版本(SP06是可以提供给Ramp-up客户的版本)

2. SAP NetWeaver BW必须是一个Unicode系统。Unicode转换操作可以作为迁移到SAP HANA系统的一部分。

3. SAP NetWeaver BW7.30不再支持基于角色权限的权限控制。为了运行SAP NetWeaver BW7.30,所有的权限控制必须升级到作为SAP NetWeaver 7.0一部分的分析权限控制Analytical Authorization。

4. 客户需要评估基于BW7.0之上的源应用系统等级和附加应用。不是所有的附加应用都能被BW7.30支持。即便这些附加应用被BW7.30支持,也不一定被基于SAP HANA的SAP NetWeaver BW支持。

5. 确信安装SAP HANA的硬件设备是被授权的和来自于一个授权的第三方,硬件的容量是和客户环境相匹配的。

6. 检查和理解所有其它的在迁移系统前和迁移系统中需要注意的事项。

这是我从技术层面大致讲的如何从一个传统的关系型数据库迁移到具备内存计算功能的SAP HANA的要求。更多信息请阅读我们后续关于迁移系统后优化系统的的微博。

To report this post you need to login first.

Be the first to leave a comment

You must be Logged on to comment or reply to a post.

Leave a Reply